import _ from 'lodash'

/**
 * 校验公式 检测多选基础数据中是否含有某(些)字段的值
 * @author fengjiansheng
 * @data 2021-11-12
 */
export default {
    execute: function () {
        console.log("s1 HasContainMultiBaseDataFields")
        if (arguments && arguments[0] && arguments[0].length > 1 && arguments[1]) {
            if(arguments[0][0] && arguments[0][0].getResult() &&  arguments[0][0].getResult().Value){
                let baseDataList=arguments[0][0].getResult().Value
                let fieldName = arguments[0][1].getResult().Value
                let fieldValues = arguments[0][2].getResult().Value.split(',')
                let containFlag = false
                for (let i = 0; i < baseDataList.length; i++) {
                    let tempFieldValue = baseDataList[i][fieldName]
                    if (fieldValues.indexOf(tempFieldValue) > -1){
                        containFlag = true
                        break
                    }
                }
                return containFlag
            }
        }else{
            console.error("HasContainMultiBaseDataFields公式配置错误 参数个数不匹配")
            return false
        }
    },
    getResultType: function () {
        return 1
    }
}
